<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'IniciarSesion' => '\\StructType\\IniciarSesion',
            'IniciarSesionResponse' => '\\StructType\\IniciarSesionResponse',
            'ValidaToken' => '\\StructType\\ValidaToken',
            'ValidaTokenResponse' => '\\StructType\\ValidaTokenResponse',
            'EncriptarSHA256' => '\\StructType\\EncriptarSHA256',
            'EncriptarSHA256Response' => '\\StructType\\EncriptarSHA256Response',
            'DesencriptarSHA256' => '\\StructType\\DesencriptarSHA256',
            'DesencriptarSHA256Response' => '\\StructType\\DesencriptarSHA256Response',
            'InsertarCliente' => '\\StructType\\InsertarCliente',
            'InsertarClienteResponse' => '\\StructType\\InsertarClienteResponse',
            'EditarCliente' => '\\StructType\\EditarCliente',
            'EditarClienteResponse' => '\\StructType\\EditarClienteResponse',
            'EstatusCliente' => '\\StructType\\EstatusCliente',
            'EstatusClienteResponse' => '\\StructType\\EstatusClienteResponse',
            'InsertarProducto' => '\\StructType\\InsertarProducto',
            'InsertarProductoResponse' => '\\StructType\\InsertarProductoResponse',
            'EstatusProducto' => '\\StructType\\EstatusProducto',
            'EstatusProductoResponse' => '\\StructType\\EstatusProductoResponse',
            'ConceptoContProducto' => '\\StructType\\ConceptoContProducto',
            'ConceptoContProductoResponse' => '\\StructType\\ConceptoContProductoResponse',
            'InsertarFactura' => '\\StructType\\InsertarFactura',
            'InsertarFacturaResponse' => '\\StructType\\InsertarFacturaResponse',
            'EstatusFactura' => '\\StructType\\EstatusFactura',
            'EstatusFacturaResponse' => '\\StructType\\EstatusFacturaResponse',
            'CancelarFactura' => '\\StructType\\CancelarFactura',
            'CancelarFacturaResponse' => '\\StructType\\CancelarFacturaResponse',
            'InsertarNotaCreditoCliente' => '\\StructType\\InsertarNotaCreditoCliente',
            'InsertarNotaCreditoClienteResponse' => '\\StructType\\InsertarNotaCreditoClienteResponse',
            'CancelarNotaCreditoCliente' => '\\StructType\\CancelarNotaCreditoCliente',
            'CancelarNotaCreditoClienteResponse' => '\\StructType\\CancelarNotaCreditoClienteResponse',
            'EstatusNotaCreditoCliente' => '\\StructType\\EstatusNotaCreditoCliente',
            'EstatusNotaCreditoClienteResponse' => '\\StructType\\EstatusNotaCreditoClienteResponse',
            'InsertarTipoCliente' => '\\StructType\\InsertarTipoCliente',
            'InsertarTipoClienteResponse' => '\\StructType\\InsertarTipoClienteResponse',
            'InsertarCiudad' => '\\StructType\\InsertarCiudad',
            'InsertarCiudadResponse' => '\\StructType\\InsertarCiudadResponse',
            'InsertarEstado' => '\\StructType\\InsertarEstado',
            'InsertarEstadoResponse' => '\\StructType\\InsertarEstadoResponse',
            'InsertarPais' => '\\StructType\\InsertarPais',
            'InsertarPaisResponse' => '\\StructType\\InsertarPaisResponse',
            'EditarTipoCliente' => '\\StructType\\EditarTipoCliente',
            'EditarTipoClienteResponse' => '\\StructType\\EditarTipoClienteResponse',
            'EditarCiudad' => '\\StructType\\EditarCiudad',
            'EditarCiudadResponse' => '\\StructType\\EditarCiudadResponse',
            'EditarEstado' => '\\StructType\\EditarEstado',
            'EditarEstadoResponse' => '\\StructType\\EditarEstadoResponse',
            'EditarPais' => '\\StructType\\EditarPais',
            'EditarPaisResponse' => '\\StructType\\EditarPaisResponse',
            'EliminarTipoCliente' => '\\StructType\\EliminarTipoCliente',
            'EliminarTipoClienteResponse' => '\\StructType\\EliminarTipoClienteResponse',
            'EliminarCiudad' => '\\StructType\\EliminarCiudad',
            'EliminarCiudadResponse' => '\\StructType\\EliminarCiudadResponse',
            'EliminarEstado' => '\\StructType\\EliminarEstado',
            'EliminarEstadoResponse' => '\\StructType\\EliminarEstadoResponse',
            'EliminarPais' => '\\StructType\\EliminarPais',
            'EliminarPaisResponse' => '\\StructType\\EliminarPaisResponse',
            'InsertarMetodoPago' => '\\StructType\\InsertarMetodoPago',
            'InsertarMetodoPagoResponse' => '\\StructType\\InsertarMetodoPagoResponse',
            'EditarMetodoPago' => '\\StructType\\EditarMetodoPago',
            'EditarMetodoPagoResponse' => '\\StructType\\EditarMetodoPagoResponse',
            'EliminarMetodoPago' => '\\StructType\\EliminarMetodoPago',
            'EliminarMetodoPagoResponse' => '\\StructType\\EliminarMetodoPagoResponse',
            'InsertarCondicionesPago' => '\\StructType\\InsertarCondicionesPago',
            'InsertarCondicionesPagoResponse' => '\\StructType\\InsertarCondicionesPagoResponse',
            'EditarCondicionesPago' => '\\StructType\\EditarCondicionesPago',
            'EditarCondicionesPagoResponse' => '\\StructType\\EditarCondicionesPagoResponse',
            'EliminarCondicionesPago' => '\\StructType\\EliminarCondicionesPago',
            'EliminarCondicionesPagoResponse' => '\\StructType\\EliminarCondicionesPagoResponse',
            'InsertarIVA' => '\\StructType\\InsertarIVA',
            'InsertarIVAResponse' => '\\StructType\\InsertarIVAResponse',
            'EditarIVA' => '\\StructType\\EditarIVA',
            'EditarIVAResponse' => '\\StructType\\EditarIVAResponse',
            'EliminarIVA' => '\\StructType\\EliminarIVA',
            'EliminarIVAResponse' => '\\StructType\\EliminarIVAResponse',
            'EliminarBanco' => '\\StructType\\EliminarBanco',
            'EliminarBancoResponse' => '\\StructType\\EliminarBancoResponse',
            'EditarBanco' => '\\StructType\\EditarBanco',
            'EditarBancoResponse' => '\\StructType\\EditarBancoResponse',
            'InsertarBanco' => '\\StructType\\InsertarBanco',
            'InsertarBancoResponse' => '\\StructType\\InsertarBancoResponse',
            'InsertarCuentaBancaria' => '\\StructType\\InsertarCuentaBancaria',
            'InsertarCuentaBancariaResponse' => '\\StructType\\InsertarCuentaBancariaResponse',
            'EditarCuentaBancaria' => '\\StructType\\EditarCuentaBancaria',
            'EditarCuentaBancariaResponse' => '\\StructType\\EditarCuentaBancariaResponse',
            'EliminarCuentaBancaria' => '\\StructType\\EliminarCuentaBancaria',
            'EliminarCuentaBancariaResponse' => '\\StructType\\EliminarCuentaBancariaResponse',
            'PuedeInsertarFactura' => '\\StructType\\PuedeInsertarFactura',
            'PuedeInsertarFacturaResponse' => '\\StructType\\PuedeInsertarFacturaResponse',
            'PuedeCancelarFactura' => '\\StructType\\PuedeCancelarFactura',
            'PuedeCancelarFacturaResponse' => '\\StructType\\PuedeCancelarFacturaResponse',
            'PuedeInsertarNotaCreditoCliente' => '\\StructType\\PuedeInsertarNotaCreditoCliente',
            'PuedeInsertarNotaCreditoClienteResponse' => '\\StructType\\PuedeInsertarNotaCreditoClienteResponse',
            'PuedeCancelarNotaCreditoCliente' => '\\StructType\\PuedeCancelarNotaCreditoCliente',
            'PuedeCancelarNotaCreditoClienteResponse' => '\\StructType\\PuedeCancelarNotaCreditoClienteResponse',
            'EditarProducto' => '\\StructType\\EditarProducto',
            'EditarProductoResponse' => '\\StructType\\EditarProductoResponse',
            'InsertarRegimenFiscal' => '\\StructType\\InsertarRegimenFiscal',
            'InsertarRegimenFiscalResponse' => '\\StructType\\InsertarRegimenFiscalResponse',
            'EditarRegimenFiscal' => '\\StructType\\EditarRegimenFiscal',
            'EditarRegimenFiscalResponse' => '\\StructType\\EditarRegimenFiscalResponse',
            'EliminarRegimenFiscal' => '\\StructType\\EliminarRegimenFiscal',
            'EliminarRegimenFiscalResponse' => '\\StructType\\EliminarRegimenFiscalResponse',
            'InsertarCobranzaCliente' => '\\StructType\\InsertarCobranzaCliente',
            'InsertarCobranzaClienteResponse' => '\\StructType\\InsertarCobranzaClienteResponse',
            'CancelarCobranzaCliente' => '\\StructType\\CancelarCobranzaCliente',
            'CancelarCobranzaClienteResponse' => '\\StructType\\CancelarCobranzaClienteResponse',
            'EstatusCobranzaCliente' => '\\StructType\\EstatusCobranzaCliente',
            'EstatusCobranzaClienteResponse' => '\\StructType\\EstatusCobranzaClienteResponse',
            'PuedeInsertarCobranzaCliente' => '\\StructType\\PuedeInsertarCobranzaCliente',
            'PuedeInsertarCobranzaClienteResponse' => '\\StructType\\PuedeInsertarCobranzaClienteResponse',
            'PuedeCancelarCobranzaCliente' => '\\StructType\\PuedeCancelarCobranzaCliente',
            'PuedeCancelarCobranzaClienteResponse' => '\\StructType\\PuedeCancelarCobranzaClienteResponse',
            'InsertarTipoProducto' => '\\StructType\\InsertarTipoProducto',
            'InsertarTipoProductoResponse' => '\\StructType\\InsertarTipoProductoResponse',
            'EditarTipoProducto' => '\\StructType\\EditarTipoProducto',
            'EditarTipoProductoResponse' => '\\StructType\\EditarTipoProductoResponse',
            'EliminarTipoProducto' => '\\StructType\\EliminarTipoProducto',
            'EliminarTipoProductoResponse' => '\\StructType\\EliminarTipoProductoResponse',
            'InsertarSerieFranquicias' => '\\StructType\\InsertarSerieFranquicias',
            'InsertarSerieFranquiciasResponse' => '\\StructType\\InsertarSerieFranquiciasResponse',
            'EditarSerieFranquicias' => '\\StructType\\EditarSerieFranquicias',
            'EditarSerieFranquiciasResponse' => '\\StructType\\EditarSerieFranquiciasResponse',
            'EliminarSerieFranquicias' => '\\StructType\\EliminarSerieFranquicias',
            'EliminarSerieFranquiciasResponse' => '\\StructType\\EliminarSerieFranquiciasResponse',
            'EliminarProducto' => '\\StructType\\EliminarProducto',
            'EliminarProductoResponse' => '\\StructType\\EliminarProductoResponse',
        );
    }
}
