<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Eliminar ServiceType
 * @subpackage Services
 */
class Eliminar extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named EliminarTipoCliente
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarTipoCliente $parameters
     * @return \StructType\EliminarTipoClienteResponse|bool
     */
    public function EliminarTipoCliente(\StructType\EliminarTipoCliente $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarTipoCliente($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarCiudad
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarCiudad $parameters
     * @return \StructType\EliminarCiudadResponse|bool
     */
    public function EliminarCiudad(\StructType\EliminarCiudad $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarCiudad($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarEstado
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarEstado $parameters
     * @return \StructType\EliminarEstadoResponse|bool
     */
    public function EliminarEstado(\StructType\EliminarEstado $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarEstado($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarPais
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarPais $parameters
     * @return \StructType\EliminarPaisResponse|bool
     */
    public function EliminarPais(\StructType\EliminarPais $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarPais($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarMetodoPago
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarMetodoPago $parameters
     * @return \StructType\EliminarMetodoPagoResponse|bool
     */
    public function EliminarMetodoPago(\StructType\EliminarMetodoPago $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarMetodoPago($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarCondicionesPago
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarCondicionesPago $parameters
     * @return \StructType\EliminarCondicionesPagoResponse|bool
     */
    public function EliminarCondicionesPago(\StructType\EliminarCondicionesPago $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarCondicionesPago($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarIVA
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarIVA $parameters
     * @return \StructType\EliminarIVAResponse|bool
     */
    public function EliminarIVA(\StructType\EliminarIVA $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarIVA($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarBanco
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarBanco $parameters
     * @return \StructType\EliminarBancoResponse|bool
     */
    public function EliminarBanco(\StructType\EliminarBanco $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarBanco($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarCuentaBancaria
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarCuentaBancaria $parameters
     * @return \StructType\EliminarCuentaBancariaResponse|bool
     */
    public function EliminarCuentaBancaria(\StructType\EliminarCuentaBancaria $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarCuentaBancaria($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarRegimenFiscal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarRegimenFiscal $parameters
     * @return \StructType\EliminarRegimenFiscalResponse|bool
     */
    public function EliminarRegimenFiscal(\StructType\EliminarRegimenFiscal $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarRegimenFiscal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarTipoProducto
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarTipoProducto $parameters
     * @return \StructType\EliminarTipoProductoResponse|bool
     */
    public function EliminarTipoProducto(\StructType\EliminarTipoProducto $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarTipoProducto($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarSerieFranquicias
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarSerieFranquicias $parameters
     * @return \StructType\EliminarSerieFranquiciasResponse|bool
     */
    public function EliminarSerieFranquicias(\StructType\EliminarSerieFranquicias $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarSerieFranquicias($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EliminarProducto
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\EliminarProducto $parameters
     * @return \StructType\EliminarProductoResponse|bool
     */
    public function EliminarProducto(\StructType\EliminarProducto $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->EliminarProducto($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\EliminarBancoResponse|\StructType\EliminarCiudadResponse|\StructType\EliminarCondicionesPagoResponse|\StructType\EliminarCuentaBancariaResponse|\StructType\EliminarEstadoResponse|\StructType\EliminarIVAResponse|\StructType\EliminarMetodoPagoResponse|\StructType\EliminarPaisResponse|\StructType\EliminarProductoResponse|\StructType\EliminarRegimenFiscalResponse|\StructType\EliminarSerieFranquiciasResponse|\StructType\EliminarTipoClienteResponse|\StructType\EliminarTipoProductoResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
