<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://modulos.misconsultas.com.mx:4443/WebServices/WSQuickShine/WSQuickShine.svc?singleWsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://modulos.misconsultas.com.mx:4443/WebServices/WSQuickShine/WSQuickShine.svc?singleWsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Iniciar ServiceType
 */
$iniciar = new \ServiceType\Iniciar($options);
/**
 * Sample call for IniciarSesion operation/method
 */
if ($iniciar->IniciarSesion(new \StructType\IniciarSesion()) !== false) {
    print_r($iniciar->getResult());
} else {
    print_r($iniciar->getLastError());
}
/**
 * Samples for Valida ServiceType
 */
$valida = new \ServiceType\Valida($options);
/**
 * Sample call for ValidaToken operation/method
 */
if ($valida->ValidaToken(new \StructType\ValidaToken()) !== false) {
    print_r($valida->getResult());
} else {
    print_r($valida->getLastError());
}
/**
 * Samples for Encriptar ServiceType
 */
$encriptar = new \ServiceType\Encriptar($options);
/**
 * Sample call for EncriptarSHA256 operation/method
 */
if ($encriptar->EncriptarSHA256(new \StructType\EncriptarSHA256()) !== false) {
    print_r($encriptar->getResult());
} else {
    print_r($encriptar->getLastError());
}
/**
 * Samples for Desencriptar ServiceType
 */
$desencriptar = new \ServiceType\Desencriptar($options);
/**
 * Sample call for DesencriptarSHA256 operation/method
 */
if ($desencriptar->DesencriptarSHA256(new \StructType\DesencriptarSHA256()) !== false) {
    print_r($desencriptar->getResult());
} else {
    print_r($desencriptar->getLastError());
}
/**
 * Samples for Insertar ServiceType
 */
$insertar = new \ServiceType\Insertar($options);
/**
 * Sample call for InsertarCliente operation/method
 */
if ($insertar->InsertarCliente(new \StructType\InsertarCliente()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarProducto operation/method
 */
if ($insertar->InsertarProducto(new \StructType\InsertarProducto()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarFactura operation/method
 */
if ($insertar->InsertarFactura(new \StructType\InsertarFactura()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarNotaCreditoCliente operation/method
 */
if ($insertar->InsertarNotaCreditoCliente(new \StructType\InsertarNotaCreditoCliente()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarTipoCliente operation/method
 */
if ($insertar->InsertarTipoCliente(new \StructType\InsertarTipoCliente()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarCiudad operation/method
 */
if ($insertar->InsertarCiudad(new \StructType\InsertarCiudad()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarEstado operation/method
 */
if ($insertar->InsertarEstado(new \StructType\InsertarEstado()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarPais operation/method
 */
if ($insertar->InsertarPais(new \StructType\InsertarPais()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarMetodoPago operation/method
 */
if ($insertar->InsertarMetodoPago(new \StructType\InsertarMetodoPago()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarCondicionesPago operation/method
 */
if ($insertar->InsertarCondicionesPago(new \StructType\InsertarCondicionesPago()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarIVA operation/method
 */
if ($insertar->InsertarIVA(new \StructType\InsertarIVA()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarBanco operation/method
 */
if ($insertar->InsertarBanco(new \StructType\InsertarBanco()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarCuentaBancaria operation/method
 */
if ($insertar->InsertarCuentaBancaria(new \StructType\InsertarCuentaBancaria()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarRegimenFiscal operation/method
 */
if ($insertar->InsertarRegimenFiscal(new \StructType\InsertarRegimenFiscal()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarCobranzaCliente operation/method
 */
if ($insertar->InsertarCobranzaCliente(new \StructType\InsertarCobranzaCliente()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarTipoProducto operation/method
 */
if ($insertar->InsertarTipoProducto(new \StructType\InsertarTipoProducto()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Sample call for InsertarSerieFranquicias operation/method
 */
if ($insertar->InsertarSerieFranquicias(new \StructType\InsertarSerieFranquicias()) !== false) {
    print_r($insertar->getResult());
} else {
    print_r($insertar->getLastError());
}
/**
 * Samples for Editar ServiceType
 */
$editar = new \ServiceType\Editar($options);
/**
 * Sample call for EditarCliente operation/method
 */
if ($editar->EditarCliente(new \StructType\EditarCliente()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarTipoCliente operation/method
 */
if ($editar->EditarTipoCliente(new \StructType\EditarTipoCliente()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarCiudad operation/method
 */
if ($editar->EditarCiudad(new \StructType\EditarCiudad()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarEstado operation/method
 */
if ($editar->EditarEstado(new \StructType\EditarEstado()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarPais operation/method
 */
if ($editar->EditarPais(new \StructType\EditarPais()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarMetodoPago operation/method
 */
if ($editar->EditarMetodoPago(new \StructType\EditarMetodoPago()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarCondicionesPago operation/method
 */
if ($editar->EditarCondicionesPago(new \StructType\EditarCondicionesPago()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarIVA operation/method
 */
if ($editar->EditarIVA(new \StructType\EditarIVA()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarBanco operation/method
 */
if ($editar->EditarBanco(new \StructType\EditarBanco()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarCuentaBancaria operation/method
 */
if ($editar->EditarCuentaBancaria(new \StructType\EditarCuentaBancaria()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarProducto operation/method
 */
if ($editar->EditarProducto(new \StructType\EditarProducto()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarRegimenFiscal operation/method
 */
if ($editar->EditarRegimenFiscal(new \StructType\EditarRegimenFiscal()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarTipoProducto operation/method
 */
if ($editar->EditarTipoProducto(new \StructType\EditarTipoProducto()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Sample call for EditarSerieFranquicias operation/method
 */
if ($editar->EditarSerieFranquicias(new \StructType\EditarSerieFranquicias()) !== false) {
    print_r($editar->getResult());
} else {
    print_r($editar->getLastError());
}
/**
 * Samples for Estatus ServiceType
 */
$estatus = new \ServiceType\Estatus($options);
/**
 * Sample call for EstatusCliente operation/method
 */
if ($estatus->EstatusCliente(new \StructType\EstatusCliente()) !== false) {
    print_r($estatus->getResult());
} else {
    print_r($estatus->getLastError());
}
/**
 * Sample call for EstatusProducto operation/method
 */
if ($estatus->EstatusProducto(new \StructType\EstatusProducto()) !== false) {
    print_r($estatus->getResult());
} else {
    print_r($estatus->getLastError());
}
/**
 * Sample call for EstatusFactura operation/method
 */
if ($estatus->EstatusFactura(new \StructType\EstatusFactura()) !== false) {
    print_r($estatus->getResult());
} else {
    print_r($estatus->getLastError());
}
/**
 * Sample call for EstatusNotaCreditoCliente operation/method
 */
if ($estatus->EstatusNotaCreditoCliente(new \StructType\EstatusNotaCreditoCliente()) !== false) {
    print_r($estatus->getResult());
} else {
    print_r($estatus->getLastError());
}
/**
 * Sample call for EstatusCobranzaCliente operation/method
 */
if ($estatus->EstatusCobranzaCliente(new \StructType\EstatusCobranzaCliente()) !== false) {
    print_r($estatus->getResult());
} else {
    print_r($estatus->getLastError());
}
/**
 * Samples for Concepto ServiceType
 */
$concepto = new \ServiceType\Concepto($options);
/**
 * Sample call for ConceptoContProducto operation/method
 */
if ($concepto->ConceptoContProducto(new \StructType\ConceptoContProducto()) !== false) {
    print_r($concepto->getResult());
} else {
    print_r($concepto->getLastError());
}
/**
 * Samples for Cancelar ServiceType
 */
$cancelar = new \ServiceType\Cancelar($options);
/**
 * Sample call for CancelarFactura operation/method
 */
if ($cancelar->CancelarFactura(new \StructType\CancelarFactura()) !== false) {
    print_r($cancelar->getResult());
} else {
    print_r($cancelar->getLastError());
}
/**
 * Sample call for CancelarNotaCreditoCliente operation/method
 */
if ($cancelar->CancelarNotaCreditoCliente(new \StructType\CancelarNotaCreditoCliente()) !== false) {
    print_r($cancelar->getResult());
} else {
    print_r($cancelar->getLastError());
}
/**
 * Sample call for CancelarCobranzaCliente operation/method
 */
if ($cancelar->CancelarCobranzaCliente(new \StructType\CancelarCobranzaCliente()) !== false) {
    print_r($cancelar->getResult());
} else {
    print_r($cancelar->getLastError());
}
/**
 * Samples for Eliminar ServiceType
 */
$eliminar = new \ServiceType\Eliminar($options);
/**
 * Sample call for EliminarTipoCliente operation/method
 */
if ($eliminar->EliminarTipoCliente(new \StructType\EliminarTipoCliente()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarCiudad operation/method
 */
if ($eliminar->EliminarCiudad(new \StructType\EliminarCiudad()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarEstado operation/method
 */
if ($eliminar->EliminarEstado(new \StructType\EliminarEstado()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarPais operation/method
 */
if ($eliminar->EliminarPais(new \StructType\EliminarPais()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarMetodoPago operation/method
 */
if ($eliminar->EliminarMetodoPago(new \StructType\EliminarMetodoPago()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarCondicionesPago operation/method
 */
if ($eliminar->EliminarCondicionesPago(new \StructType\EliminarCondicionesPago()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarIVA operation/method
 */
if ($eliminar->EliminarIVA(new \StructType\EliminarIVA()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarBanco operation/method
 */
if ($eliminar->EliminarBanco(new \StructType\EliminarBanco()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarCuentaBancaria operation/method
 */
if ($eliminar->EliminarCuentaBancaria(new \StructType\EliminarCuentaBancaria()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarRegimenFiscal operation/method
 */
if ($eliminar->EliminarRegimenFiscal(new \StructType\EliminarRegimenFiscal()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarTipoProducto operation/method
 */
if ($eliminar->EliminarTipoProducto(new \StructType\EliminarTipoProducto()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarSerieFranquicias operation/method
 */
if ($eliminar->EliminarSerieFranquicias(new \StructType\EliminarSerieFranquicias()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Sample call for EliminarProducto operation/method
 */
if ($eliminar->EliminarProducto(new \StructType\EliminarProducto()) !== false) {
    print_r($eliminar->getResult());
} else {
    print_r($eliminar->getLastError());
}
/**
 * Samples for Puede ServiceType
 */
$puede = new \ServiceType\Puede($options);
/**
 * Sample call for PuedeInsertarFactura operation/method
 */
if ($puede->PuedeInsertarFactura(new \StructType\PuedeInsertarFactura()) !== false) {
    print_r($puede->getResult());
} else {
    print_r($puede->getLastError());
}
/**
 * Sample call for PuedeCancelarFactura operation/method
 */
if ($puede->PuedeCancelarFactura(new \StructType\PuedeCancelarFactura()) !== false) {
    print_r($puede->getResult());
} else {
    print_r($puede->getLastError());
}
/**
 * Sample call for PuedeInsertarNotaCreditoCliente operation/method
 */
if ($puede->PuedeInsertarNotaCreditoCliente(new \StructType\PuedeInsertarNotaCreditoCliente()) !== false) {
    print_r($puede->getResult());
} else {
    print_r($puede->getLastError());
}
/**
 * Sample call for PuedeCancelarNotaCreditoCliente operation/method
 */
if ($puede->PuedeCancelarNotaCreditoCliente(new \StructType\PuedeCancelarNotaCreditoCliente()) !== false) {
    print_r($puede->getResult());
} else {
    print_r($puede->getLastError());
}
/**
 * Sample call for PuedeInsertarCobranzaCliente operation/method
 */
if ($puede->PuedeInsertarCobranzaCliente(new \StructType\PuedeInsertarCobranzaCliente()) !== false) {
    print_r($puede->getResult());
} else {
    print_r($puede->getLastError());
}
/**
 * Sample call for PuedeCancelarCobranzaCliente operation/method
 */
if ($puede->PuedeCancelarCobranzaCliente(new \StructType\PuedeCancelarCobranzaCliente()) !== false) {
    print_r($puede->getResult());
} else {
    print_r($puede->getLastError());
}
